Bug 480967 - rhn-ssl-cert-check & spacewalk-ssl-cert-check file conflict during 520 -> 530 upgrade
rhn-ssl-cert-check & spacewalk-ssl-cert-check file conflict during 520 -> 530...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Upgrades (Show other bugs)
530
All Linux
low Severity medium
: ---
: ---
Assigned To: Milan Zázrivec
Jeff Browning
:
Depends On:
Blocks: 456986
  Show dependency treegraph
 
Reported: 2009-01-21 10:27 EST by Milan Zázrivec
Modified: 2009-08-27 13:38 EDT (History)
2 users (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-27 13:38:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Milan Zázrivec 2009-01-21 10:27:15 EST
Description of problem:
* Satellite 5.2.0, upgrade to Satellite-5.3.0-RHEL5-re20090119.1:

file /etc/cron.daily/rhn-ssl-cert-check from install of spacewalk-ssl-cert-check-1.4-10.10.el5.sw conflicts with file from package rhn-ssl-cert-check-1.4-10.7.el5

# rpm -qp --obsoletes spacewalk-ssl-cert-check-1.4-10.10.el5.sw.noarch.rpm 
(none)

Version-Release number of selected component (if applicable):
spacewalk-ssl-cert-check-1.4-10.10 / Satellite-5.3.0-RHEL5-re20090119.1
Comment 1 Milan Zázrivec 2009-01-21 12:39:24 EST
Fixed in spacewalk.git master: bdc1fbed739253270e83e60091958b85422f355c
Comment 2 Milan Zázrivec 2009-01-21 14:09:54 EST
Built:
spacewalk-ssl-cert-check-1.4-10.12.el4sat
spacewalk-ssl-cert-check-1.4-10.12.el5sat
Comment 3 Jeff Browning 2009-05-13 03:20:19 EDT
Verified
Comment 4 Miroslav Suchý 2009-08-26 10:08:52 EDT
verified in stage on xen15

* Installing RHN packages.
Warning: more packages were installed by yum than expected:
        mtools
        syslinux
        tcsh
* Now running setup.

...
[root@xen15 ~]# rpm -q spacewalk-ssl-cert-check
spacewalk-ssl-cert-check-1.7-1.el5sat.noarch


no errors in /var/log/rhn/rhn-installation.log
Comment 5 Brandon Perkins 2009-08-27 13:38:06 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1235.html

Note You need to log in before you can comment on or make changes to this bug.